#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x8D,0x08,0xB0,0x8B,0x03,0x29,0xAB,0x6D,0xEB,0xE0,0x1C,0x64,
		0xD9,0xAA,0x22,0x82,0xB3,0x0A,0x20,0x06,0xC8,0xCE,0xBA,0xEC,
		0x4B,0xE0,0x66,0xC0,0x85,0x2D,0x3E,0x56,0x90,0x85,0x31,0x09,
		0x7C,0x5A,0x36,0x41,0x7C,0xE2,0x81,0x6D,0x11,0xC8,0x4C,0x26,
		0xDD,0x86,0x62,0xD8,0x24,0x3F,0x9D,0x2D,0x68,0xA4,0x6F,0xFF,
		0x02,0x4C,0x50,0x2B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
